what is a good linux distro to use sheepshaver with?

About SheepShaver, a PPC Mac emulator for Windows, MacOS X, and Linux that can run System 7.5.3 to MacOS 9.0.4.

Moderators: Cat_7, Ronald P. Regensburg, ClockWise

Post Reply
gnomes
Space Cadet
Posts: 4
Joined: Sat Feb 26, 2005 6:12 pm

what is a good linux distro to use sheepshaver with?

Post by gnomes »

is there one that would require little configuration to get sheepshaver compiled? i just tried with a mandrake 9.1 i had lying around and gave up after an hour of trying to fill dependencies.

i think a linux distro specifically designed for running sheepshaver would be great, but i doubt that exists or will ever happen.
Mac Emu
Forum All-Star
Posts: 1217
Joined: Mon May 20, 2002 11:50 am
Location: Ouraion

Post by Mac Emu »

Mandrake is the recommended distro as the developer uses Mandrake (and works for MandrakeSoft).

Just remember to install the autoconfig, automake and libgtk1.2 packages to compile SheepShaver. Or use the pre-built RPM binary SheepShaver package.

http://gwenole.beauchesne.online.fr/she ... 4.i586.rpm

(I use Mandrake 10.1 Official.)

cvs -d :pserver:anoncvs@down.physik.uni-mainz.de:/cvs login
#password = anoncvs
cvs -d :pserver:anoncvs@down.physik.uni-mainz.de:/cvs checkout BasiliskII
cvs -d :pserver:anoncvs@down.physik.uni-mainz.de:/cvs checkout SheepShaver
cd SheepShaver
make links
cd src/Unix
aclocal
autoheader
autoconf
./configure --enable-jit-compiler
# or ./configure --enable-jit-compiler --enable-sdl-video --enable-sdl-audio --with-gtk=no
make
trygvebw
Granny Smith
Posts: 116
Joined: Tue Jun 01, 2004 12:12 pm
Location: Norway

Re: what is a good linux distro to use sheepshaver with?

Post by trygvebw »

gnomes wrote:is there one that would require little configuration to get sheepshaver compiled? i just tried with a mandrake 9.1 i had lying around and gave up after an hour of trying to fill dependencies.

i think a linux distro specifically designed for running sheepshaver would be great, but i doubt that exists or will ever happen.
Mandrake 9.1 is _very_ old. You should use 10.1. All updated distros can run SheepShaver w/o problems. I have tried it on Ubuntu, SUSE, Fedora Core and Debian.
Post Reply